/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Avril 2005                     */

public class ApplicationCercles {

  public static void main(String [] args) {
    /* Instanciation de deux Cercle                       */
    Cercle c1 = new Cercle(2.5F,1.0F,2.0F);
    Cercle c2 = new Cercle(3.5F,3.0F,-2.0F);
    /* Affichage de ces deux cercles                      */
    System.out.println("Cercles testes");
    System.out.println(c1);
    System.out.println(c2);
    /* Affichage de leurs surfaces                        */
    System.out.println(c1.surfaceCercle());
    System.out.println(c2.surfaceCercle());
    /* Instanciation et affichage d'une Position          */
    Position p = new Position(0.2F,0.5F);
    System.out.println(p);
    /* Affichage des resultats des tests d'inclusion      */
    /* de la position dans les cercles                    */
    /* par les methodes idoines des classes               */
    /* Cercle et Position                                 */
    System.out.println(c1.dansCercle(p));
    System.out.println(p.dansCercle(c1));
    System.out.println(c2.dansCercle(p));
    System.out.println(p.dansCercle(c2));
  }
}